=== debian/changelog ===
debmake-doc (1.17-4) unstable; urgency=medium

  * Pull DE translation.
  * Bump policy version

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Nov 2021 15:03:58 +0900

debmake-doc (1.17-3) unstable; urgency=medium

  * Update copyright to 2021
  * Fix typo.  Thanks Daichi Fukui.  Closes: Bug#1000256

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Aug 2021 14:31:19 +0900

debmake-doc (1.17-2) unstable; urgency=medium

  * Explicitly mention apt-pinning etc.
  * Mention how-can-i-help.
  * epub: Reproducible build

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Aug 2021 11:04:45 +0900

debmake-doc (1.17-1) unstable; urgency=medium

  * Switch from pbuilder to sbuild
  * More on source-only-upload
  * Remove debian/source/include-binaries
  * Add missing LICENSE
  * Move examples generation under examples/
  * Adjust for new directory names
  * Drop useless faketime
  * Add new examples/Makefile
  * Add examples/README.md
  * Adjust for new examples location
  * Update examples/README.md
  * Conversion to setuptools
  * Regenerate example log
  * Update debian/source/patch-header
  * Add autopkgtest

 -- Osamu Aoki <osamu@debian.org>  Thu, 19 Aug 2021 17:59:15 +0900

debmake-doc (1.16-2) unstable; urgency=medium

  * Reactivate translator credits via po4a addendum mechanism.
  * Translation updates for Chinese and German.

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Apr 2021 08:27:49 +0900
