=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# quilt output is affected by locale; setting explicitly
LC_ALL := C.UTF-8
export LC_ALL

# translation for package (Override Makefile.dbk)
# un-comment to skip building PDF for all
#export NOPDF := en ru zh-cn de ja

# UTF-8 locale
export LC_ALL:= C.UTF-8

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf
