## debmake-doc 1.20

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,17 @@
 # Build all Debian packaging examples and produce documentation
 # Copyright (C) 2015 Osamu Aoki
+# vim: set ts=8 sw=8 noet:
 
 .PHONY: all build clean distclean
 # build document
 all: build
 
-# run "make prep" before "make log" to keep example package source tree consistent
-# run "make logs" before "make all" to make logs for building example packages
-# make sure to commit logs to the git repository as a part of the document source
+# Before building this documentation, you need to update examples/ directory
+# setup and start bash inside sid-chroot
+# move into "examples/" with "cd examples"
+#   update Makefile and run "make groom"
+#   run "make" to update *.slog
+#   commit changes "git commit -a"
 
 # Normalize build environment (Debian default is LANG=C etc.)
 LC_ALL := C.UTF-8
@@ -40,20 +44,25 @@
 DEBEMAIL := osamu@debian.org
 DEBFULLNAME := "Osamu Aoki"
 ASCIIDOC_DIR := asciidoc
-BASEXML := $(ASCIIDOC_DIR)/$(MANUAL).xml
+BASEXML := $(ASCIIDOC_DIR)/$(MANUAL).xml1
 HEADXML := $(ASCIIDOC_DIR)/head.txt
 XSLT_DIR := xslt
 BASEDIR := $(CURDIR)/basedir
 TMPDIR := $(CURDIR)/tmp
+# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
+SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp || date -R -u)
+# date in changelog
+SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))
 
 # languages translated with PO files (not used now)
-LANGPO ?= ja zh-cn zh-tw de ru
+LANGPO ?= ja zh-cn zh-tw de ru pt
 # languages to skip generation of PDF files (not used now)
 NOPDF ?=
 # languages to build document
 LANGALL := en $(LANGPO)
 SRC_PO := $(addsuffix .po, $(addprefix  po4a/po/, $(LANGPO)))
 SRC_X02 := $(addsuffix .x02, $(addprefix  $(MANUAL)., $(LANGPO)))
+SRC_X03 := $(addsuffix .x03, $(addprefix  $(MANUAL)., $(LANGPO)))
 SRC_XML := $(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))
 #######################################################################
 # Build time determined text
@@ -74,6 +83,7 @@
 MSGFMT := msgfmt
 MSGMERGE := msgmerge --update --previous
 MSGATTRIB := msgattrib
+DPO := po4a/po
 DBLATEX	:= dblatex
 # Change $(DRAFTMODE) from "yes" to "maybe" when this document
 # should go into production mode
@@ -109,7 +119,9 @@
 	echo "BASEDIR='$(BASEDIR)'"
 	echo "TMPDIR='$(TMPDIR)'"
 	-rm -rf $(TMPDIR)
+	-rm -rf po4a-tmp
 	-$(MAKE) -C $(ASCIIDOC_DIR) clean
+	-$(MAKE) -C examples clean
 
 distclean: clean
 
@@ -124,25 +136,38 @@
 #######################################################################
 # Normal doc content as English base xml
 $(BASEXML): $(wildcard $(ASCIIDOC_DIR)/*.txt)
-	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML doc
+	$(MAKE) -C $(ASCIIDOC_DIR) xml1	# base XML doc (FUll ASCII)
 
 # set last chapter as appendix.
 $(MANUAL).en.x01: $(BASEXML)
 	@$(call check-command, xsltproc, xsltproc)
-	$(XSLT) $(XSLT_DIR)/modappendix.xsl $< > $@
+	$(XSLT) $(XSLT_DIR)/modappendix.xsl $< > $@ # x01: last chapter as appendix/UTF-8
 
 # header is manually written and main content is generated from asciidoc
 $(MANUAL).en.x02: $(MANUAL).en.x01 $(HEADXML)
 	cat $(HEADXML) > $@
-	sed -e '1,/<\/bookinfo>/d' $(MANUAL).en.x01 >> $@
-
-$(MANUAL).po.stamp: $(MANUAL).en.x02 $(SRC_PO)
+	sed -e '1,/<\/info>/d' $(MANUAL).en.x01 >> $@ # x02: add header
+
+# remove <screen>...</screen>
+$(MANUAL).en.x03: $(MANUAL).en.x02
+	@$(call check-command, xsltproc, xsltproc)
+	$(XSLT) $(XSLT_DIR)/screen.xsl $< > $@ # x03: no <screen>
+
+# po4a/po4a-x02.cfg -- on x03 to generate po (no xml)
+$(MANUAL).po-pre.stamp: $(MANUAL).en.x03
 	-mkdir -p $(TMPDIR)
-	po4a -v po4a/po4a.cfg
+	po4a -v po4a/po4a-x03.cfg
+
+# po4a/po4a.cfg -- on x02 to generate xml
+$(MANUAL).po.stamp: $(MANUAL).po-pre.stamp
+	-mkdir -p $(TMPDIR)
+	rm -rf po4a-tmp
+	cp -r po4a po4a-tmp
+	po4a -v po4a-tmp/po4a-x02.cfg
 
 $(SRC_X02): $(MANUAL).po.stamp
 
-fuzzy.log: $(SRC_X02)
+fuzzy.log: $(MANUAL).po-pre.stamp
 	: > fuzzy.log
 	for lang in $(LANGPO); do \
 	MESS1="no-obsolete  $$lang  `$(MSGATTRIB) --no-obsolete  po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
@@ -172,9 +197,11 @@
 	-rm -rf $(BASEDIR)
 	-rm -rf $(LANGALL)
 	-rm -r $(MANUAL).po.stamp
+	-rm -r $(MANUAL).po-pre.stamp
 	-rm -f $(addsuffix .x00, $(addprefix $(MANUAL)., $(LANGALL)))
 	-rm -f $(addsuffix .x01, $(addprefix $(MANUAL)., $(LANGALL)))
 	-rm -f $(addsuffix .x02, $(addprefix $(MANUAL)., $(LANGALL)))
+	-rm -f $(addsuffix .x03, $(addprefix $(MANUAL)., $(LANGALL)))
 	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
 	-rm -f fuzzy.log
 
@@ -190,11 +217,11 @@
 
 #######################################################################
 .PHONY: all-xml
-all-xml: $(SRC_XML) $(ENT_ALL)
+all-xml: $(SRC_XML) $(ENT_ALL) fuzzy.log
 
 #######################################################################
 .PHONY: doc-all
-doc-all: css html txt epub
+doc-all: css html txt
 
 #######################################################################
 # $ make test      # build html for testing (for Translator)
@@ -217,11 +244,25 @@
 	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
 	done
 
+# remove obsolete
+wrapx:
+	@$(call check-command, msgcat, gettext)
+	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
+	$(MSGATTRIB) --no-obsolete -o $$XX $$XX ;\
+	done
+
+# remove obsolete
+nowrapx:
+	@$(call check-command, msgcat, gettext)
+	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
+	$(MSGATTRIB) --no-wrap --no-obsolete -o $$XX $$XX ;\
+	done
+
 wip:
 	@$(call check-command, msgattrib, gettext)
 	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
-	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
-	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
+	$(MSGATTRIB) -o $$XX.fuzz --fuzzy        $$XX ;\
+	$(MSGATTRIB) -o $$XX.untr --untranslated $$XX ;\
 	done
 
 #######################################################################
@@ -294,43 +335,9 @@
 	export TEXINPUTS=".:"; \
 	export TMPDIR="$(TMPDIR)"; \
 	$(XSLT) $(XSLT_DIR)/dblatex.xsl $<  | \
+	sed -e "s/│/|/g"  -e "s/├/+/g" -e "s/─/-/g" -e "s/└/+/g"     | \
 	$(DBLATEX) --style=db2latex \
 		--debug \
 		--backend=xetex \
 		--xsl-user=$(XSLT_DIR)/user_param.xsl \
 		--xsl-user=$(XSLT_DIR)/xetex_param.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=doc.collab.show=0 \
-		--param=latex.output.revhistory=0 \
-		--param=doc.lot.show="" \
-		--param=lingua=$* \
-		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }
-
-#######################################################################
-# $ make tex       # update all TeX source in $(BASEDIR)
-#######################################################################
-.PHONY: tex
-tex:	$(foreach LX, $(LANGALL), $(BASEDIR)/$(MANUAL).$(LX).tex)
-
-# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
-$(BASEDIR)/$(MANUAL).%.tex: $(MANUAL).%.xml
-	-mkdir -p $(BASEDIR)
-	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
-	export TEXINPUTS=".:"; \
-	export TMPDIR="$(TMPDIR)"; \
-	$(XSLT) $(XSLT_DIR)/dblatex.xsl $<  | \
-	$(DBLATEX) --style=native \
-		--debug \
-		--type=tex \
-		--backend=xetex \
-		--xsl-user=$(XSLT_DIR)/user_param.xsl \
-		--xsl-user=$(XSLT_DIR)/xetex_param.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=doc.collab.show=0 \
-		--param=latex.output.revhistory=0 \
-		--param=doc.lot.show="" \
-		--param=lingua=$* \
-		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }
-
-#######################################################################
-# $ make epub      # update all epub in $(BASEDIR)
