=== debian/changelog ===
debmake-doc (1.20-1) unstable; urgency=medium

  * Work-around asciidoctor docbook (missing superscript)

 -- Osamu Aoki <osamu@debian.org>  Tue, 01 Oct 2024 23:38:17 +0900

debmake-doc (1.19-1) unstable; urgency=medium

  * Don't use some xrefs generated by <<...>> in ASCIIDOC.
  * Build with asciidoctor.  Closes: #1001088
  * Address debian/compat issue.  Closes: #1075842
  * Add pt.po after fixing markups. Closes: #1053928
  * Update PO with xref/ulink/quot fixes for all PO.

 -- Osamu Aoki <osamu@debian.org>  Tue, 01 Oct 2024 00:35:13 +0900

debmake-doc (1.18-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Migrate to use asciidoctor 2
    * Major conversion and reorganization asciidoc/*.txt
    * Refine build
    * Update PO
  * Update for trixie
    * Use debmake 4.5.0
  * Rebuild examples
    * Use pyproject.toml as example

  [ Dorle Osterode ]
  * Minor improvements 12-setup and 22-rules

  [ Otto Kekäläinen ]
  * Salsa CI: 29-debconfig.txt 38-git.txt

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Sep 2024 13:37:59 +0900

debmake-doc (1.17-9) unstable; urgency=medium

  * touch-up around adduser (Closes: #1052521)

 -- Osamu Aoki <osamu@debian.org>  Fri, 10 Nov 2023 15:02:25 +0900

debmake-doc (1.17-8) unstable; urgency=medium

  * Fix missing )
  * Link to Russ's page
  * Mention "Using Git for Debian Packaging"
  * doc: mention adduser removal from chroot
  * Update PDF build.  Closes: #1024083
  * make po

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Nov 2023 13:43:09 +0900

debmake-doc (1.17-7) unstable; urgency=medium

  * make po

 -- Osamu Aoki <osamu@debian.org>  Mon, 09 May 2022 23:46:35 +0900

debmake-doc (1.17-6) unstable; urgency=medium

  * Update DE translation.

 -- Osamu Aoki <osamu@debian.org>  Wed, 04 May 2022 08:13:06 +0900

debmake-doc (1.17-5) unstable; urgency=medium

  * Update dquilt.  Closes: Bug#882809, Bug#1010402

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Feb 2022 22:19:01 +0900
