=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: asciidoc,
+Build-Depends: asciidoctor,
                dblatex,
                debhelper-compat (= 13),
                dh-python,
@@ -13,7 +13,7 @@
                fonts-ipafont,
                fonts-liberation,
                fonts-wqy-zenhei,
-	       po4a,
+               po4a,
                latex-cjk-all,
                libxml2-utils,
                lmodern,
@@ -27,9 +27,10 @@
                texlive-lang-japanese,
                texlive-xetex,
                xsltproc,
-	       w3m,
+               w3m,
                zip
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
