=== debian/watch ===
version=4
opts="mode=git" \
 https://salsa.debian.org/debian/debmake-doc.git \
 refs/tags/upstream/([\d\.]+) debian
# debmake-doc is packaged as a non-native package
# 1. debian/changelog records changes with <upstream_version>-1
# 2. Temporary branch is created and commit w/o debian/* as tag=upstream/<upstream_version>
# 3. Upstream tarball generated by "git deborig"
# 4. Swich back to main branch and test build "sbuild"
# 5. dgit push-source
